#!/bin/bash 

CLIENT_ID=<Mix client ID, starting with appID:>
SECRET=<Mix client secret>
#Change colons (:) to %3A in client ID
CLIENT_ID=${CLIENT_ID//:/%3A}

MY_TOKEN="`curl -s -u $CLIENT_ID:$SECRET \
https://auth.crt.nuance.com/oauth2/token \
-d 'grant_type=client_credentials' -d 'scope=tts' \
| python -c 'import sys, json; print(json.load(sys.stdin)["access_token"])'`"

python3 simple-mix-client.py --server_url tts.api.nuance.com:443 \
--token $MY_TOKEN \
--name "Zoe-Ml" --model "enhanced" \
--text "The wind was a torrent of darkness, among the gusty trees." \
--output_wav_file "highwayman.wav" 
